package com.hxhq.business.service;

import java.util.List;
import com.hxhq.business.domain.Yq;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hxhq.business.form.yq.YqForm;
import com.hxhq.business.form.yq.YqSearchForm;

/**
 * 仪器管理Service接口
 *
 * @author HanLong
 * @date 2025-12-20
 */
public interface IYqService extends IService<Yq>
{
    /**
     * 查询仪器管理列表
     * @return 仪器管理集合
     */
    public List<Yq> queryList(YqSearchForm form);

    /** 新增仪器信息 */
    void addYq(YqForm yqForm);
    
    void updateYq(YqForm yqForm);
}
